Bug 999596 - Review Request: python-sparklines - python-sparklines is a unicode sparkline generation library
Review Request: python-sparklines - python-sparklines is a unicode sparkline ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 12:29 EDT by Ralph Bean
Modified: 2013-09-09 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 21:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-08-21 12:29:48 EDT
Spec URL: http://ralph.fedorapeople.org//python-sparklines.spec
SRPM URL: http://ralph.fedorapeople.org//python-sparklines-0.3-1.fc19.src.rpm

Description:
Takes series data via stdin, command line, or API and prints a sparkline
representation.
Comment 1 Ralph Bean 2013-08-21 12:29:53 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5837738
Comment 2 Mario Blättermann 2013-08-21 17:15:08 EDT
$ rpmlint -i -v *python-sparklines.src: I: checking
python-sparklines.src: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: spelling-error Summary(en_US) sparkline -> sparkling, spark line, spark-line
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: summary-not-capitalized C python-sparklines is a unicode sparkline generation library
Summary doesn't begin with a capital letter.

python-sparklines.src: W: name-repeated-in-summary C python-sparklines
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

python-sparklines.src: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: spelling-error %description -l en_US sparkline -> sparkling, spark line, spark-line
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: I: checking-url http://pypi.python.org/pypi/pysparklines (timeout 10 seconds)
python-sparklines.src: I: checking-url http://pypi.python.org/packages/source/p/pysparklines/pysparklines-0.3.tar.gz (timeout 10 seconds)
python-sparklines.noarch: I: checking
python-sparklines.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.noarch: W: summary-not-capitalized C python-sparklines is a unicode sparkline generation library
Summary doesn't begin with a capital letter.

python-sparklines.noarch: W: name-repeated-in-summary C python-sparklines
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

python-sparklines.noarch: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.noarch: I: checking-url http://pypi.python.org/pypi/pysparklines (timeout 10 seconds)
python-sparklines.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/sparkline/sparkline.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-sparklines.noarch: W: no-manual-page-for-binary sparkline
Each executable in standard binary directories should have a man page.

python-sparklines.spec: I: checking-url http://pypi.python.org/packages/source/p/pysparklines/pysparklines-0.3.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 11 warnings.


The summary could be (to satisfy rpmlint:)

Unicode sparkline generation library



Please remove the shebang from the mentioned file, and your package is ready for  a full review.
Comment 3 Brandon Whaley 2013-08-21 23:15:31 EDT
I've just released version 0.6 of pysparklines to address the extraneous shebang line.  Additionally, I've added the full text of the license to the LICENSE file in the source repository per Ralph Bean's request.  Updating the version in the spec file to 0.6 should be the only necessary change to bring in these updates, as the version on pypi is now up to date.
Comment 4 Ralph Bean 2013-08-22 09:15:17 EDT
Repackaged latest upstream from Brandon including the fixed shebang.

Spec URL:  http://threebean.org/rpm/python-sparklines.spec
SRPM URL:  http://threebean.org/rpm/python-sparklines-0.6-1.fc19.src.rpm
Comment 5 Ralph Bean 2013-08-22 13:37:28 EDT
Repackaged another upstream release from Brandon now including the LICENSE file!
Thanks!

Spec URL:  http://threebean.org/rpm/python-sparklines.spec
SRPM URL:  http://threebean.org/rpm/python-sparklines-0.7-1.fc19.src.rpm
Comment 6 Ralph Bean 2013-08-22 13:39:58 EDT
Ah, well -- too hasty.  Here's yet another release with an updated summary to satisfy rpmlint.

Spec URL:  http://threebean.org/rpm/python-sparklines.spec
SRPM URL:  http://threebean.org/rpm/python-sparklines-0.7-2.fc19.src.rpm
Comment 7 Mario Blättermann 2013-08-22 15:48:02 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5843365

$ rpmlint -i -v *python-sparklines.src: I: checking
python-sparklines.src: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: spelling-error Summary(en_US) sparkline -> sparkling, spark line, spark-line
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: W: spelling-error %description -l en_US sparkline -> sparkling, spark line, spark-line
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.src: I: checking-url http://pypi.python.org/pypi/pysparklines (timeout 10 seconds)
python-sparklines.src: I: checking-url http://pypi.python.org/packages/source/p/pysparklines/pysparklines-0.7.tar.gz (timeout 10 seconds)
python-sparklines.noarch: I: checking
python-sparklines.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.noarch: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
The value of this tag appears to be misspelled. Please double-check.

python-sparklines.noarch: I: checking-url http://pypi.python.org/pypi/pysparklines (timeout 10 seconds)
python-sparklines.noarch: W: no-manual-page-for-binary sparkline
Each executable in standard binary directories should have a man page.

python-sparklines.spec: I: checking-url http://pypi.python.org/packages/source/p/pysparklines/pysparklines-0.7.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 7 warnings.


Nothing of interest so far.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    5ecf1d3dbe6e0ec7f72369310c21e550470e8d4b624f4257baeec878e21f76bb  pysparklines-0.7.tar.gz
    5ecf1d3dbe6e0ec7f72369310c21e550470e8d4b624f4257baeec878e21f76bb  pysparklines-0.7.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------


@Brandon, maybe you could add a manpage for sparkline in future releases? If it has a --help parameter, you could use help2man to generate a real manpage.
Comment 8 Brandon Whaley 2013-08-22 17:45:35 EDT
Per your request, I've generated a man page with help2man for the sparkline utility.  It can be found in the source distribution in version 0.9 under man/sparkline.1: https://pypi.python.org/pypi/pysparklines/0.9

There doesn't appear to be a straightforward way to install a man page via python's setuptools, so that may have to be done via the spec file.
Comment 9 Ralph Bean 2013-08-23 09:22:07 EDT
Thanks Brandon!  I've created a new srpm here including that latest work.

Spec URL:  http://threebean.org/rpm/python-sparklines.spec
SRPM URL:  http://threebean.org/rpm/python-sparklines-0.9-1.fc19.src.rpm
Comment 10 Ralph Bean 2013-08-23 09:29:49 EDT
New Package SCM Request
=======================
Package Name: python-sparklines
Short Description: A unicode sparkline generation library
Owners: ralph
Branches: f20 f19 f18 el6
InitialCC:
Comment 11 Gwyn Ciesla 2013-08-23 10:25:01 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-08-23 11:28:09 EDT
python-sparklines-0.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sparklines-0.9-1.el6
Comment 13 Fedora Update System 2013-08-23 11:28:24 EDT
python-sparklines-0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-sparklines-0.9-1.fc18
Comment 14 Fedora Update System 2013-08-23 11:28:45 EDT
python-sparklines-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-sparklines-0.9-1.fc19
Comment 15 Brandon Whaley 2013-08-23 13:03:53 EDT
Interactive use on EL6 will probably require python-argparse, as it ships with Python 2.6.  Anything that ships 2.7 will not have this dependency, and library use does not depend on the argparse module.
Comment 16 Ralph Bean 2013-08-23 15:45:20 EDT
Good catch.  Thanks!
Comment 17 Fedora Update System 2013-08-23 16:13:26 EDT
python-sparklines-0.9-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sparklines-0.9-2.el6
Comment 18 Fedora Update System 2013-09-09 13:31:50 EDT
python-sparklines-0.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-09 19:50:36 EDT
python-sparklines-0.9-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2013-09-09 19:50:50 EDT
python-sparklines-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.